Login SCX Account
curl --request POST \
--url https://scx-sbx.api.jtl-software.com/v1/seller/login \
--header 'Authorization: Bearer <token>'import requests
url = "https://scx-sbx.api.jtl-software.com/v1/seller/login"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://scx-sbx.api.jtl-software.com/v1/seller/login', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"token": "SELLER.sfhgduwgfwre436fgsudfgwu4zgdsiflsdagvsaifga48ogc"
}{
"errorList": [
{
"code": "VAL100",
"message": "Required field sellerId not found",
"severity": "error",
"hint": "Check the field `sellerId` — it must be a non-empty string."
}
]
}{
"errorList": [
{
"code": "GEN404",
"message": "Not found",
"severity": "error",
"hint": null
}
]
}{
"errorList": [
{
"code": "GEN500",
"message": "Internal Server Error",
"severity": "error",
"hint": null
}
]
}Account
Login SCX Account
Login SCX Account by creating a new refesh Token.
POST
/
v1
/
seller
/
login
Login SCX Account
Authorizations
Bearer JWT used for JTL OAuth-authenticated requests. Issued by the JTL Customer Center
as part of a JTL-Scx subscription. Usage format: Bearer <JWT>.
Response
Refresh token created
Example:
"SELLER.sfhgduwgfwre436fgsudfgwu4zgdsiflsdagvsaifga48ogc"
Was this page helpful?
⌘I